<?php
/**
* リクエストを定義するインタフェース
*
* PHP version 5
*
* @package    interfaces
* @author     stk2k <stk2k@sazysoft.com>
* @copyright  2008 stk2k, sazysoft
*/
interface IRequest
{
	/*
	 *    キー一覧を取得
	 */
	public function getKeys();

	/*
	 *    パラメータを取得
	 */
	public function get( $key );

	/*
	 *    パラメータを設定
	 */
	public function set( $key, $value );

}
